Gutenberg sera déployé avec la version 5.0 de WordPress d'ici quelques mois. Ce nouvel éditeur ou constructeur de pages remplacera votre éditeur actuel à moins que vous n'installiez au préalable l'extension Classic Editor. C'est tout l'objet d'une fenêtre de notification qui a fait son apparition sur l'ensemble des tableaux de bord de WordPress avec la version 4.9.8 qui corrige au passage d'autres bugs.

Ce genre de notification est toujours problématique à traiter sur des sites professionnels : les clients n’ont pas à voir ce type d’information qui peut conduire à des catastrophes techniques en plein coeur de l’été. Heureusement, il existe un hook nous permettant de désactiver par une simple ligne de code cette information :

remove_action('try_gutenberg_panel', 'wp_try_gutenberg_panel');

Je vous conseille de créer un mu-plugin qui contient vos différentes fonctions d’optimisation de votre back-office dans un seul fichier.

Gutenberg s’annonce comme l’évolution la plus controversée de l’histoire de WordPress et les craintes que je formulais il y a plusieurs mois semblent se confirmer. Quel est votre avis sur la question ?

16 commentaires
  1. Deuns26

    Bonjour, merci pour ce hook.
    Il y a t’il un hook pour empêcher carrément toutes informations de plugin et autres pour les simples utilisateurs ou gestionnaires de boutique.
    Seul les admins pourrait voir les informations.
    Merci et bonne continuation

    1. Aurélien Denis auteur de l’article

      À ma connaissance non pas de hook commun mais je pourrais faire des recherches et un tutoriel sur la désactivation des notifications.

      1. Deuns26

        Bonjour et merci Wolforg. Mais ce snippet est uniquement pour les avertissements de mise à jour de plugin.
        Je me demander si il exister une façon de supprimer toutes informations de plugin et autres pas seulement les notifications de mise à jour.
        Peut être voir plus en css, les notifications apparaissent peut être toutes aux même endroit ? dans une section ou container que l’on pourrait cacher aux utilisateurs.

  2. Hello
    Peux-tu rappeler les craintes dont tu parles ?
    En ce qui me concerne, ma principale crainte est la compatibilité (et la continuité) avec ACF : je customise à 100% tous mes back-offices avec cette extension, en commençant par supprimer les articles et l’éditeur par défaut. C’est pour cette raison que Gutenberg n’est pas spécialement une bonne nouvelle à mes yeux…

    1. Steven D.

      Bonjour Aurélien,

      Je rejoins Julien sur son commentaire, je travaille exclusivement avec ACF et j’ai l’impression qu’avec ce nouvel éditeur, les choses vont se compliquer … J’avais beaucoup apprécié ton article : Gutenberg et l’avenir de WordPress, mais datant de Décembre 2017, aurais-tu eu connaissance de nouvelles fonctionnalités ou de futures contraintes pour le développement de thème sur mesure ?

      Merci d’avance pour ta réponse et pour ton travail.

      1. Aurélien Denis auteur de l’article

        Les craintes formulées précédemment se sont révélées exactes à mes yeux et il n’y a qu’à voir les avis 1 étoile ainsi que les derniers commentaires sur la publication Facebook de la page WordPress.org : les gens ne veulent pas être forcé à utiliser Gutenberg, c’est juste scandaleux comme approche !

        Je vais tout de même tester la nouvelle version mais je crains qu’elle présent encore des soucis de compatibilité.

        Je suis également développeur de thèmes sur-mesure avec du ACF pour le back-office.

        1. Steven D.

          Je suis parti voir par curiosité et effectivement ça crie pas mal au scandale. C’est dur de penser qu’a terme, on sera remplacé par un page builder intégré, je comprends le côté business qui veut à terme pouvoir concurrencer les plateformes Wix, Jimdo et j’en passe mais de là à se mettre une partie de la communauté à dos, c’est aberrant…

  3. Si vous installez Classic Editor, il ne devrait y avoir aucun souci avec ACF, non ?
    En tant qu’utilisateur lambda (et pas développeur ou gestionnaire), je suis partagé : Gutenberg permet de faire nativement des mises en page relativement sophistiquées, ce qui est une grosse demande pour certains petits sites et donc élimine les risques de compatibilité avec des trucs genre Elementor. Mais personnellement, je tape tous mes billets en Markdown avec un éditeur externe alors Gutenberg ne m’intéressera que ponctuellement pour des mises en page de page statique éventuellement. Au cas par cas donc.

  4. momo-fr

    Ça reste discutable mais il faut impérativement pouvoir activer/désactiver ça facilement. Les novices et débutants vont naturellement aller vers Gutenberg mais son ergonomie fait quand même pitié, il y a un énorme boulot qui n’a pas été fait et c’est dommageable à terme. Ils sont le cul entre 2 chaises : éditeur évolué / constructeur de page, parce que à terme ce sera constructeur de page (vu le tas d’extensions dédiées déjà présentes), avec la base essayée là c’est la cata assurée.

  5. Guy40800

    Très surpris de ceux qui pleurent avant d’avoir mal.
    La possibilité de pouvoir choisir et donc de désactiver me parait souhaitable voire indispensable, mais faire un procès d’intention avant même la première version est particulièrement ringard.
    Que dirait-on aujourd’hui des premières versions de WordPress.
    Alors laissez vivre Gutenberg et je parie que votre point de vue évoluera au fur et à mesure des versions.
    Quant aux novices et débutants (ou non développeurs), ils constituent la majorité des utilisateurs de WordPress et il n’y a pas lieu d’avoir pitié de leurs réalisations

    1. Aurélien Denis auteur de l’article

      Pour ma part, mon point de vue n’a pas changé et pourtant je reteste régulièrement et me tiens informé au quotidien. C’est plus la méthode que le projet qui dérange en réalité.

  6. DENIS DEBAISIEUX

    Je viens de lire quelques texte de pro Guntenberg et je suis pas loin de trouver cela pas mal, surtout que cela ne sera pas obligatoire !
    Un des avantages sera une administration plus rapide du aux techniques modernes du Java. ce qui risque d’être compliqué, c’est la transition…

    1. Aurélien Denis auteur de l’article

      Ce n’est pas obligatoire tant que l’extension Classic Editor est maintenue. Un jour on aura plus le choix dans ce qui est prévu.

      JavaScript n’a rien de moderne en soi, j’ai souvenir de l’époque ou faire du JS était considéré comme un hérésie… les temps changent. En tout les cas, c’est souvent lourd à gérer pour les navigateurs. Je ne comprends pas cette mode qui consiste à déporter le traitement sur les clients et non les serveurs conçus pour ça.

      Qui vivra verra…

  7. Bonjour,

    La version 5.0 est une version majeure, la mise à jour sera donc manuelle et non automatique, c’est bien ça ?

Laisser un commentaire